--- 1.5/check_message.conf	2015-01-04 17:11:28.000000000 -0700
+++ 1.6/check_message.conf	2015-01-05 04:58:50.000000000 -0700
@@ -22,6 +22,7 @@
     set acl_m_easy69 = ${eval:$acl_m_easy69 + EASY_IS_SPAM}
 
   drop
+    condition = ${if !eq{$acl_m_esf_skip}{1}}
     spam = $acl_m_spam_user/defer_ok
     set acl_m_high_score_drop = ${perl{get_spam_high_score_drop}}
     logwrite = ESF score is $spam_score_int / $acl_m_high_score_drop
@@ -33,6 +34,10 @@
     add_header = SpamTally: Final spam score: $acl_m_easy69
 
   drop
+    condition = ${if !eq{$acl_m_esf_skip}{1}}
     condition = ${if >{$acl_m_easy69}{EASY_HIGH_SCORE_DROP}{1}{0}}
     message = Your message was classified as SPAM.  Please add more content, cut down on HTML links, use fewer naughty words etc.  Also, ask your IT dept to make sure your mailserver has REVERSEDNS, SPF and is not on any black lists. Your score: $acl_m_easy69
 
+  warn
+    condition = ${if eq{$acl_m_esf_skip}{1}}
+    logwrite = ESF evalutation skipped. Score: $acl_m_easy69
